Edit Merchant

API Explorer
https://externalapi.ipospays.tech
POST

Update whitelist domains and origin configuration details for an existing merchant profile.

Authorization

AuthorizationHeader
token(Enter the auth token generated from the authentication endpoint)<token>

Authentication token generated using the API Key and Secret Key. Required for all API requests.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/merchant/add-on" \  -H "Content-Type: application/json" \  -d '{    "merchantId": "merchId12chr",    "whitelistDomains": {      "originUrls": [        "https://example.com",        "https://store.example.com"      ]    }  }'
{
  "message": "Whitelist domains updated successfully",
  "statusCode": 200,
  "request_id": "TEST-20260303090605-34YMII",
  "timestamp": "2026-03-03T09:06:05.659Z"
}
{
  "message": "Merchant not found with the provided Id.",
  "statusCode": 404,
  "request_id": "TEST-20260303090531-DVZLTN",
  "timestamp": "2026-03-03T09:05:31.263Z"
}
{
  "message": "\"merchant_id\" is required when whitelist_domains is present. \"origin_urls\" must be a valid uri",
  "status_code": 422,
  "request_id": "IPOS-20250216120000-ABC123",
  "timestamp": "2025-02-16T12:00:00.000Z"
}